<?xml version="1.0" encoding="utf-8"?>
<!--Stylesheet synthesized using the "Literate XSLT"(TM) environment.-->
<!--See http://www.CraneSoftwrights.com/links/res-lxslt.htm for available-->
<!--resources, training and training materials from Crane Softwrights Ltd.-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/XSL/Format" xmlns:da="urn:oasis:names:tc:ubl:DespatchAdvice:1.0:0.70" xmlns:cat="urn:oasis:names:tc:ubl:CommonAggregateTypes:1.0:0.70" version="1.0">



<!--

Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-ubls.htm

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, 
  this list of conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, 
  this list of conditions and the following disclaimer in the documentation 
  and/or other materials provided with the distribution. 
- The name of the author may not be used to endorse or promote products 
  derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2002-12-16 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5

-->

<!--Override this with a non-empty string to trigger HTML-orientation-->
   <xsl:variable name="html-output"/>

<!--Override these A4 page dimensions with US-letter dimensions-->
   <xsl:variable name="long-page-edge" select="'297mm'"/>
   <xsl:variable name="short-page-edge" select="'210mm'"/>
   <xsl:template match="/">
      <root>
<!--check expected document element-->
         <xsl:if test="not(da:DespatchAdvice)">
            <xsl:message terminate="yes">
               <xsl:text>Unexpected instance for stylesheet:
{</xsl:text>
               <xsl:value-of select="namespace-uri(*)"/>
               <xsl:text>}</xsl:text>
               <xsl:value-of select="local-name(*)"/>
               <xsl:text>
Expecting:
{</xsl:text>
               <xsl:text>urn:oasis:names:tc:ubl:DespatchAdvice:1.0:0.70</xsl:text>
               <xsl:text>}DespatchAdvice</xsl:text>
            </xsl:message>
         </xsl:if>
<!--describe page geometries-->
         <layout-master-set>
            <simple-page-master master-name="onepage" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm">
               <region-body region-name="body"/>
            </simple-page-master>
            <page-sequence-master master-name="layout">
               <single-page-master-reference master-reference="onepage"/>
            </page-sequence-master>
         </layout-master-set>
         <page-sequence master-reference="layout">
            <title>
               <xsl:value-of select="da:DespatchAdvice/cat:ID"/>
               <xsl:text> - </xsl:text>
               <xsl:value-of select="da:DespatchAdvice/cat:IssueDate"/>
               <xsl:text> - Despatch Advice</xsl:text>
            </title>
            <flow flow-name="body" xsl:use-attribute-sets=" body-font">
               <table table-layout="fixed" width="183mm + 10mm">
                  <table-column column-width="10mm"/>
                  <table-column column-width="183mm div 2"/>
                  <table-column column-width="183mm div 2"/>
                  <table-body>
                     <table-row height="5mm">
                        <table-cell number-rows-spanned="2" display-align="after" height="262mm">
                           <block-container reference-orientation="90">
<!--meta data for this form in print-->
                              <block font-family="Arial" font-size="6pt" text-indent="2mm" space-after="2pt" space-after.conditionality="retain">
                                 <xsl:if test="not($html-output)">
                                    <xsl:value-of select="translate( '351dsadv.xsl $Revision: 1.1 $$Date: 2003/02/10 22:11:03 $','$','')"/>
                                    <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                                       <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                                    </basic-link>
                                 </xsl:if>
                              </block>
                           </block-container>
                        </table-cell>
                        <table-cell number-columns-spanned="1" display-align="after">
                           <block font-family="Arial" font-size="5pt" line-height="1">
                              <inline font-weight="bold">
                                 <xsl:text>AVIS D'EXPEDITION</xsl:text>
                              </inline>
                           </block>
                           <block font-family="Arial" font-size="5pt" line-height="1">
                              <inline font-weight="bold">
                                 <xsl:text>AVISO DE EXPEDICION VERSANDSANZEIGE</xsl:text>
                              </inline>
                           </block>
                        </table-cell>
                        <table-cell number-columns-spanned="1" display-align="after">
                           <block text-align-last="justify" font-family="Arial" font-size="10pt" line-height="1">
                              <inline font-weight="bold">
                                 <xsl:text>DESPATCH ADVICE</xsl:text>
                              </inline>
                              <leader/>
                              <xsl:text>
                Page 1 of 1
              </xsl:text>
                           </block>
                        </table-cell>
                     </table-row>
                     <table-row height="262mm - 5mm">
                        <table-cell number-columns-spanned="2" number-rows-spanned="2">
<!--nest the form data in another complete table-->
                           <xsl:apply-templates select="da:DespatchAdvice"/>
                        </table-cell>
                     </table-row>
                     <table-row>
                        <table-cell display-align="after">
                           <block>
                              <block text-align="end" font-weight="bold" font-family="Arial" font-size="10pt" end-indent="2pt">
                                 <xsl:text>351</xsl:text>
                              </block>
                           </block>
                        </table-cell>
                     </table-row>
                  </table-body>
               </table>
<!--meta data for this form in HTML-->
               <block font-family="Arial" font-size="6pt" text-indent="8mm">
                  <xsl:if test="$html-output">
                     <xsl:value-of select="translate( '351dsadv.xsl $Revision: 1.1 $$Date: 2003/02/10 22:11:03 $','$','')"/>
                     <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                        <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                     </basic-link>
                  </xsl:if>
               </block>
            </flow>
         </page-sequence>
      </root>
   </xsl:template>


<!--
The form table builds the form using a background grid of rows and 
columns, superimposed by table cells that span the background grid both
horizontally and vertically.  Each table cell is given a header and then
the field contents are created by applied templates in order to make them
available for being overridden by an importing stylesheet.
-->
   <xsl:template match="da:DespatchAdvice" name="do-form-data">
      <table table-layout="fixed" width="183mm" height="262mm">
         <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
         <table-body>
            <table-row height="( 262mm div 32 ) * 2">
               <table-cell number-rows-spanned="2" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets=" heading-font">
                           <xsl:copy-of select="$heading-consignor"/>
                        </block>
                        <xsl:apply-templates select="cat:SellerParty"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="2 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-sellerref"/>
                        </block>
                        <xsl:apply-templates select="cat:ReferencedOrder/cat:SellersOrderID"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-buyerref"/>
                        </block>
                        <xsl:apply-templates select="cat:ReferencedOrder/cat:BuyersOrderID"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 3">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-consignee"/>
                        </block>
                        <xsl:apply-templates select="cat:BuyerParty"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-buyer"/>
                        </block>
                        <xsl:apply-templates select="cat:BuyerParty"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 2">
               <table-cell number-rows-spanned="1" number-columns-spanned="16" border="solid 1pt">
                  <block-container height="2 * ( 262mm div 32 ) -1pt" width="16 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets=" notices">
                           <xsl:text>WE ADVISE DESPATCH OF GOODS AND/OR DISTRIBUTION HEREIN</xsl:text>
                        </block>
                        <block font-style="italic" xsl:use-attribute-sets="notices ">
                           <xsl:text>Veuillez noter que les marchandises ont ete expediees et/ou les documents distribues comme il est indique ci-dessous</xsl:text>
                        </block>
                        <block font-style="italic" xsl:use-attribute-sets="notices ">
                           <xsl:text>Les avisamos que ya se expidieron las mercancias y/o se distribuyeron los documentos como se detalla abajo.</xsl:text>
                        </block>
                        <block font-style="italic" xsl:use-attribute-sets="notices ">
                           <xsl:text>Wir bestatigen den Versand der Waren bzw.  Verteilung der Unterlagen wie hier im einzelnen aufgefuhrt.</xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-transportmode"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:ShipmentStage/cat:TransportModeCode"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-despatchdate"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:ShipmentStage/cat:TransitPeriod/cat:StartDateTimeDate"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="4" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="4 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-transportmeans"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:ShipmentStage/cat:TransportMeansTypeCode"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-despatchplace"/>
                        </block>
                        <xsl:apply-templates select="cat:DeliveryRequirement/cat:SendFromAddress"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-vesselflight"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-loadingplace"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:DeliveryRequirement/cat:SendFromAddress"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-dischargeplace"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:DeliveryRequirement/cat:DeliverToAddress"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-deliveryplace"/>
                        </block>
                        <xsl:apply-templates select="cat:DeliveryRequirement/cat:DeliverToAddress"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 12">
               <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="hidden">
                  <block-container height="12 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-shippingmarks"/>
                        </block>
                        <xsl:apply-templates select="cat:DespatchedTransportHandlingUnit/cat:ID"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none">
                  <block-container height="12 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-containernr"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:TransportEquipment/cat:ID"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
                  <block-container height="12 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-packages"/>
                        </block>
                        <xsl:apply-templates select="cat:DespatchedTransportHandlingUnit/cat:TypeCode"/>
                        <xsl:apply-templates select="cat:ActualShipment/cat:DeliveryRequirement/cat:OrderLine/cat:Quantity"/>
                        <xsl:apply-templates select="cat:ActualShipment/cat:DeliveryRequirement/cat:OrderLine/cat:Item/cat:Description"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
                  <block-container height="12 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block text-align="center" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-grossweight"/>
                        </block>
                        <xsl:apply-templates select="cat:ActualShipment/cat:GrossWeightMeasure"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 4">
               <table-cell number-rows-spanned="2" number-columns-spanned="10" border="solid 1pt">
                  <block-container height="8 * ( 262mm div 32 ) -1pt" width="10 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-instructions"/>
                        </block>
                        <xsl:apply-templates select="da:Notes"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                  <block-container height="4 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-adddist"/>
                        </block>
                        <xsl:apply-templates select="cat:FreightForwarderParty"/>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 4">
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                  <block-container height="4 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-contact"/>
                        </block>
                        <xsl:apply-templates select="cat:FreightForwarderParty/cat:Contact/cat:Name"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
         </table-body>
      </table>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:DeliveryRequirement/cat:DeliverToAddress" priority="5">
      <block>
         <xsl:call-template name="city-country-only"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:DeliveryRequirement/cat:OrderLine/cat:Item/cat:Description">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:DeliveryRequirement/cat:OrderLine/cat:Quantity">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:DeliveryRequirement/cat:SendFromAddress" priority="5">
      <block>
         <xsl:call-template name="city-country-only"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:GrossWeightMeasure">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:ShipmentStage/cat:TransitPeriod/cat:StartDateTimeDate">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:ShipmentStage/cat:TransportMeansTypeCode">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:ShipmentStage/cat:TransportModeCode">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ActualShipment/cat:TransportEquipment/cat:ID">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:CityName">
      <inline>
         <xsl:apply-templates/>
      </inline>
   </xsl:template>

   <xsl:template match="cat:CityName" mode="city-country-only">
      <inline>
         <xsl:apply-templates/>
      </inline>
   </xsl:template>

   <xsl:template match="cat:Country/cat:Code">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:Country/cat:Code" mode="city-countr-only">
      <inline>
         <xsl:apply-templates/>
      </inline>
   </xsl:template>

   <xsl:template match="cat:CountrySub-EntityCode">
      <inline>
         <xsl:text>, </xsl:text>
         <inline>
            <xsl:apply-templates/>
         </inline>
      </inline>
   </xsl:template>

   <xsl:template match="cat:DeliveryRequirement/cat:DeliverToAddress">
      <block>
         <xsl:call-template name="city-country-only"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:DeliveryRequirement/cat:SendFromAddress">
      <block>
         <xsl:call-template name="city-country-only"/>
      </block>
   </xsl:template>

   <xsl:template name="city-country-only">
      <xsl:apply-templates select="cat:CityName" mode="city-country-only"/>
      <xsl:text>,
                    </xsl:text>
      <xsl:apply-templates select="cat:Country/cat:Code" mode="city-countr-only"/>
   </xsl:template>

   <xsl:template match="cat:DespatchedTransportHandlingUnit/cat:ID">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:DespatchedTransportHandlingUnit/cat:TypeCode">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:FreightForwarderParty">
      <block>
         <xsl:call-template name="name-address"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:FreightForwarderParty/cat:Contact/cat:Name">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:PartyName/cat:Name">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ReferencedOrder/cat:BuyersOrderID">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ReferencedOrder/cat:SellersOrderID">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>


<!--
The following template rules build individual fields of the output form,
not including the headings in each of the fields.

Any one can be overridden by an importing stylesheet in order to replace
this stylesheet behaviour with custom behaviour, such as the punctuation
between subfields.
-->
   <xsl:template match="cat:SellerParty">
      <block>
         <xsl:call-template name="name-address"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:Street">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="da:Notes">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:Address" name="address">
      <block>
         <xsl:apply-templates select="cat:Street"/>
         <block>
            <xsl:apply-templates select="cat:CityName"/>
            <xsl:apply-templates select="cat:CountrySub-EntityCode"/>
         </block>
         <xsl:apply-templates select="cat:Country/cat:Code"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:BuyerParty" name="name-address">
      <block>
         <xsl:apply-templates select="cat:PartyName/cat:Name"/>
         <xsl:apply-templates select="cat:Address"/>
      </block>
   </xsl:template>

<!--default font used for body text of the form-->

   <xsl:attribute-set name="body-font">
      <xsl:attribute name="font-family">Times</xsl:attribute>
      <xsl:attribute name="font-size">10pt</xsl:attribute>
      <xsl:attribute name="line-height">1.1</xsl:attribute>
   </xsl:attribute-set>

<!--all field headings-->

   <xsl:attribute-set name="heading-font">
      <xsl:attribute name="font-family">Arial</xsl:attribute>
      <xsl:attribute name="font-size">6pt</xsl:attribute>
      <xsl:attribute name="space-after">1pt</xsl:attribute>
   </xsl:attribute-set>

   <xsl:attribute-set name="notices">
      <xsl:attribute name="font-family">Arial</xsl:attribute>
      <xsl:attribute name="font-size">7pt</xsl:attribute>
      <xsl:attribute name="space-after">1pt</xsl:attribute>
   </xsl:attribute-set>

<!--top-level variables-->

   <xsl:variable name="heading-adddist">
      <xsl:text>Additional distribution</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyer">
      <xsl:text>Buyer</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyerref">
      <xsl:text>Buyer’s reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignee">
      <xsl:text>Consignee</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignor">
      <xsl:text>Seller</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-contact">
      <xsl:text>Name of contact</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-containernr">
      <xsl:text>Container Nr.</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliveryplace">
      <xsl:text>Place of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchdate">
      <xsl:text>Date of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchplace">
      <xsl:text>Place of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-dischargeplace">
      <xsl:text>Place of discharge</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-grossweight">
      <xsl:text>Total gross wt(Kg)</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-instructions">
      <xsl:text>Documentary instructions</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-loadingplace">
      <xsl:text>Place of loading</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-packages">
      <xsl:text>Number and kind of packages; description of goods</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-sellerref">
      <xsl:text>Seller’s/consignor’s reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-shippingmarks">
      <xsl:text>Shipping marks</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmeans">
      <xsl:text>Means of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmode">
      <xsl:text>Mode of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-vesselflight">
      <xsl:text>Vessel/flight No.</xsl:text>
   </xsl:variable>
</xsl:stylesheet>