<?xml version="1.0" encoding="utf-8"?>
<!--Stylesheet synthesized using the "Literate XSLT"(TM) environment.-->
<!--See http://www.CraneSoftwrights.com/links/res-lxslt.htm for available-->
<!--resources, training and training materials from Crane Softwrights Ltd.-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/XSL/Format" xmlns:in="urn:oasis:names:tc:ubl:Invoice:1.0:0.70" xmlns:cat="urn:oasis:names:tc:ubl:CommonAggregateTypes:1.0:0.70" version="1.0">



<!--

Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-ubls.htm

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, 
  this list of conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, 
  this list of conditions and the following disclaimer in the documentation 
  and/or other materials provided with the distribution. 
- The name of the author may not be used to endorse or promote products 
  derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2002-12-16 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5

-->

<!--Override this with a non-empty string to trigger HTML-orientation-->
   <xsl:variable name="html-output"/>

<!--Override these A4 page dimensions with US-letter dimensions-->
   <xsl:variable name="long-page-edge" select="'297mm'"/>
   <xsl:variable name="short-page-edge" select="'210mm'"/>
   <xsl:template match="/">
      <root>
<!--check expected document element-->
         <xsl:if test="not(in:Invoice)">
            <xsl:message terminate="yes">
               <xsl:text>Unexpected instance for stylesheet:
{</xsl:text>
               <xsl:value-of select="namespace-uri(*)"/>
               <xsl:text>}</xsl:text>
               <xsl:value-of select="local-name(*)"/>
               <xsl:text>
Expecting:
{</xsl:text>
               <xsl:text>urn:oasis:names:tc:ubl:Invoice:1.0:0.70</xsl:text>
               <xsl:text>}Invoice</xsl:text>
            </xsl:message>
         </xsl:if>
<!--describe page geometries-->
         <layout-master-set>
            <simple-page-master master-name="onepage" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm">
               <region-body region-name="body"/>
            </simple-page-master>
            <page-sequence-master master-name="layout">
               <single-page-master-reference master-reference="onepage"/>
            </page-sequence-master>
         </layout-master-set>
<!--begin each page every 7 lines-->
         <xsl:apply-templates select="/in:Invoice/cat:InvoiceLine[ position() mod 7 = 1]"/>
      </root>
   </xsl:template>


<!--
Each page sequence contains a table of the form nested inside of a table
with the marginalia.

This is the table that defines the marginalia.
-->
   <xsl:template match="cat:InvoiceLine">
      <page-sequence master-reference="layout">
         <title>
            <xsl:value-of select="/in:Invoice/cat:ID"/>
            <xsl:text> - </xsl:text>
            <xsl:value-of select="/in:Invoice/cat:IssueDate"/>
            <xsl:text> - Invoice</xsl:text>
         </title>
         <flow flow-name="body" xsl:use-attribute-sets=" body-font">
            <table table-layout="fixed" width="183mm + 10mm">
               <table-column column-width="10mm"/>
               <table-column column-width="183mm div 2"/>
               <table-column column-width="183mm div 2"/>
               <table-body>
                  <table-row height="5mm">
                     <table-cell number-rows-spanned="2" display-align="after" height="262mm">
                        <block-container reference-orientation="90">
<!--meta data for this form in print-->
                           <block font-family="Arial" font-size="6pt" text-indent="2mm" space-after="2pt" space-after.conditionality="retain">
                              <xsl:if test="not($html-output)">
                                 <xsl:value-of select="translate( '380inv.xsl $Revision: 1.1 $$Date: 2003/02/10 22:20:50 $','$','')"/>
                                 <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                                    <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                                 </basic-link>
                              </xsl:if>
                           </block>
                        </block-container>
                     </table-cell>
                     <table-cell number-columns-spanned="1" display-align="after">
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </table-cell>
                     <table-cell number-columns-spanned="1" display-align="after">
                        <block font-family="Arial" font-size="10pt" line-height="1" text-align-last="justify">
                           <inline font-weight="bold">
                              <xsl:text>INVOICE</xsl:text>
                           </inline>
                           <inline font-weight="bold" font-size="70%" space-start.conditionality="retain">
                              <xsl:text>    RECHNUNG    FACTURE    FACTURA</xsl:text>
                           </inline>
                           <leader/>
                           <xsl:text>Page </xsl:text>
                           <xsl:value-of select="count( preceding-sibling::cat:InvoiceLine ) div 7 + 1"/>
                           <xsl:text> of </xsl:text>
                           <xsl:value-of select="floor( ( count( ../cat:InvoiceLine ) - 1 ) div 7 ) + 1"/>
                        </block>
                     </table-cell>
                  </table-row>
                  <table-row height="262mm - 5mm">
                     <table-cell number-columns-spanned="2" number-rows-spanned="2">
<!--nest the form data in another complete table-->
                        <xsl:call-template name="do-form-data"/>
                     </table-cell>
                  </table-row>
                  <table-row>
                     <table-cell display-align="after">
                        <block>
                           <block text-align="end" font-weight="bold" font-family="Arial" font-size="10pt" end-indent="2pt">
                              <xsl:text>380</xsl:text>
                           </block>
                        </block>
                     </table-cell>
                  </table-row>
               </table-body>
            </table>
<!--meta data for this form in HTML-->
            <block font-family="Arial" font-size="6pt" text-indent="8mm">
               <xsl:if test="$html-output">
                  <xsl:value-of select="translate( '380inv.xsl $Revision: 1.1 $$Date: 2003/02/10 22:20:50 $','$','')"/>
                  <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                     <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                  </basic-link>
               </xsl:if>
            </block>
         </flow>
      </page-sequence>
   </xsl:template>


<!--
The form table builds the form using a background grid of rows and 
columns, superimposed by table cells that span the background grid both
horizontally and vertically.  Each table cell is given a header and then
the field contents are created by applied templates in order to make them
available for being overridden by an importing stylesheet.
-->
   <xsl:template name="do-form-data">
      <table table-layout="fixed" width="183mm" height="262mm">
         <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
         <xsl:apply-templates select=".." mode="prelude"/>
         <xsl:call-template name="do-table-items"/>
         <table-body>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="4" number-columns-spanned="10" border="solid 1pt" border-end-style="none" border-after-style="none" border-before-style="none">
                  <block-container height="7 * ( 262mm div 32 ) -1pt" width="10 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-clauses"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="2">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-totalamount"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-start-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:text> </xsl:text>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 4">
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt" border-start-style="none" border-before-style="none" border-after-style="none">
                  <block-container height="4 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-namesignatory"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-issue"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell display-align="after" number-rows-spanned="1" number-columns-spanned="10" font-family="Arial" font-size="6pt" border="solid 1pt" border-before-style="none" border-end-style="none" xsl:use-attribute-sets="heading-font ">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="10 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block>
                           <xsl:text>It is hereby certified that this invoice shows the actual price of the goods described, that</xsl:text>
                        </block>
                        <block>
                           <xsl:text>no other invoice has been or will be issued, and that all particulars are true and correct.</xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="6" border="solid 1pt">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="6 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-signature"/>
                        </block>
                        <block>
                           <xsl:text> </xsl:text>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
         </table-body>
      </table>
   </xsl:template>


<!-- 
The following rows of the table are oriented around the header and go before
the line items in the form.
-->
   <xsl:template match="in:Invoice" mode="prelude">
      <table-body>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="3" number-columns-spanned="8" border="solid 1pt">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets=" heading-font">
                        <xsl:copy-of select="$heading-consignor"/>
                     </block>
                     <xsl:apply-templates select="cat:SellerParty"/>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-invnum"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-invdate"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="dashed">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-sellerref"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-buyerref"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-before-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-otherref"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 3">
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-consignee"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
               <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-buyer"/>
                     </block>
                     <xsl:apply-templates select="cat:BuyerParty"/>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="2" number-columns-spanned="8" border="solid 1pt">
               <block-container height="2 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-buyerbank"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-origin"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-destination"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-transportmode"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-despatchdate"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="none" border-end-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-deliveryterms"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt" border-after-style="none" border-start-style="none">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-location"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-transportmeans"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-despatchplace"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-start-style="solid" border-start-width="1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-deliverytime"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="solid" border-end-width="1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-transportcharges"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-vesselflight"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-loadingplace"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-start-style="solid" border-start-width="1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-paymentterms"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border-end-style="solid" border-end-width="1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-paymentcurrency"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 1">
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-dischargeplace"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="4" border="solid 1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="4 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-deliveryplace"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border-start-style="solid" border-start-width="1pt" border-end-style="solid" border-end-width="1pt" border-after-style="solid" border-after-width="1pt">
               <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>


<!--
The following rows of the table are oriented around the line items
-->
   <xsl:template name="do-table-items">
      <table-body>
         <table-row height="( 262mm div 32 ) * 4">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none">
               <block-container height="4 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-shippingmarks"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt" border-end-style="none" border-start-style="none">
               <block-container height="4 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-containernr"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
               <block-container height="4 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-packages"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="4 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-grossweight"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="4 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-cube"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
         <table-row height="( 262mm div 32 ) * 8">
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-item"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt">
               <block-container height="8 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-description"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-quantity"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-unitprice"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
            <table-cell number-rows-spanned="1" number-columns-spanned="2" border="solid 1pt">
               <block-container height="8 * ( 262mm div 32 ) -1pt" width="2 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                  <wrapper start-indent="2pt" end-indent="2pt">
                     <block text-align="center" xsl:use-attribute-sets="heading-font ">
                        <xsl:copy-of select="$heading-amount"/>
                     </block>
                     <block>
                        <xsl:text> </xsl:text>
                     </block>
                  </wrapper>
               </block-container>
            </table-cell>
         </table-row>
      </table-body>
   </xsl:template>

   <xsl:template match="cat:CityName">
      <inline>
         <xsl:apply-templates/>
      </inline>
   </xsl:template>

   <xsl:template match="cat:Country/cat:Code">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:CountrySub-EntityCode">
      <inline>
         <xsl:text>, </xsl:text>
         <inline>
            <xsl:apply-templates/>
         </inline>
      </inline>
   </xsl:template>

   <xsl:template match="cat:PartyName/cat:Name">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>


<!--
The following template rules build individual fields of the output form,
not including the headings in each of the fields.

Any one can be overridden by an importing stylesheet in order to replace
this stylesheet behaviour with custom behaviour, such as the punctuation
between subfields.
-->
   <xsl:template match="cat:SellerParty">
      <block>
         <xsl:call-template name="name-address"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:Street">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:Address" name="address">
      <block>
         <xsl:apply-templates select="cat:Street"/>
         <block>
            <xsl:apply-templates select="cat:CityName"/>
            <xsl:apply-templates select="cat:CountrySub-EntityCode"/>
         </block>
         <xsl:apply-templates select="cat:Country/cat:Code"/>
      </block>
   </xsl:template>

   <xsl:template match="cat:BuyerParty" name="name-address">
      <block>
         <xsl:apply-templates select="cat:PartyName/cat:Name"/>
         <xsl:apply-templates select="cat:Address"/>
      </block>
   </xsl:template>

<!--default font used for body text of the form-->

   <xsl:attribute-set name="body-font">
      <xsl:attribute name="font-family">Times</xsl:attribute>
      <xsl:attribute name="font-size">10pt</xsl:attribute>
      <xsl:attribute name="line-height">1.1</xsl:attribute>
   </xsl:attribute-set>

<!--all field headings-->

   <xsl:attribute-set name="heading-font">
      <xsl:attribute name="font-family">Arial</xsl:attribute>
      <xsl:attribute name="font-size">6pt</xsl:attribute>
      <xsl:attribute name="space-after">1pt</xsl:attribute>
   </xsl:attribute-set>

<!--top-level variables-->

   <xsl:variable name="heading-amount">
      <xsl:text>Amount</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyer">
      <xsl:text>Buyer</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyerbank">
      <xsl:text>Buyer’s bank</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-buyerref">
      <xsl:text>Buyer’s reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-clauses">
      <xsl:text>Invoice clauses</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignee">
      <xsl:text>Consignee</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-consignor">
      <xsl:text>Seller</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-containernr">
      <xsl:text>Container Nr.</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-cube">
      <xsl:text>Total cube(m</xsl:text>
      <inline baseline-shift=".25em" font-size=".75em">
         <xsl:text>3</xsl:text>
      </inline>
      <xsl:text>)</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliveryplace">
      <xsl:text>Place of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliveryterms">
      <xsl:text>Terms of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-deliverytime">
      <xsl:text>Time of delivery</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-description">
      <xsl:text>Description</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchdate">
      <xsl:text>Date of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-despatchplace">
      <xsl:text>Place of despatch</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-destination">
      <xsl:text>Country of destination</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-dischargeplace">
      <xsl:text>Place of discharge</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-grossweight">
      <xsl:text>Total gross wt(Kg)</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-invdate">
      <xsl:text>Invoice date</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-invnum">
      <xsl:text>Invoice number</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-issue">
      <xsl:text>Place of issue</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-item">
      <xsl:text>Item</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-loadingplace">
      <xsl:text>Place of loading</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-location">
      <xsl:text>Location</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-namesignatory">
      <xsl:text>Name of signatory</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-origin">
      <xsl:text>Country of origin</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-otherref">
      <xsl:text>Other reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-packages">
      <xsl:text>Number and kind of packages; description of goods</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-paymentcurrency">
      <xsl:text>Currency of payment</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-paymentterms">
      <xsl:text>Terms of payment</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-quantity">
      <xsl:text>Quantity U/M</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-sellerref">
      <xsl:text>Seller’s reference</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-shippingmarks">
      <xsl:text>Shipping marks</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-signature">
      <xsl:text>Signature</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-totalamount">
      <xsl:text>Total amount</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportcharges">
      <xsl:text>Transport Charges</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmeans">
      <xsl:text>Means of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-transportmode">
      <xsl:text>Mode of transport</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-unitprice">
      <xsl:text>Unit price</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-vesselflight">
      <xsl:text>Vessel/flight No.</xsl:text>
   </xsl:variable>
</xsl:stylesheet>