<?xml version="1.0" encoding="utf-8"?>
<!--Stylesheet synthesized using the "Literate XSLT"(TM) environment.-->
<!--See http://www.CraneSoftwrights.com/links/res-lxslt.htm for available-->
<!--resources, training and training materials from Crane Softwrights Ltd.-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/XSL/Format" xmlns:rs="urn:oasis:names:tc:ubl:OrderResponseSimple:1.0:0.70" xmlns:cat="urn:oasis:names:tc:ubl:CommonAggregateTypes:1.0:0.70" version="1.0">



<!--

Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-ubls.htm

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, 
  this list of conditions and the following disclaimer. 
- Redistributions in binary form must reproduce the above copyright notice, 
  this list of conditions and the following disclaimer in the documentation 
  and/or other materials provided with the distribution. 
- The name of the author may not be used to endorse or promote products 
  derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Note: for your reference, the above is the "Modified BSD license", this text
      was obtained 2002-12-16 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5

-->

<!--Override this with a non-empty string to trigger HTML-orientation-->
   <xsl:variable name="html-output"/>

<!--Override these A4 page dimensions with US-letter dimensions-->
   <xsl:variable name="long-page-edge" select="'297mm'"/>
   <xsl:variable name="short-page-edge" select="'210mm'"/>
   <xsl:template match="/">
      <root>
<!--check expected document element-->
         <xsl:if test="not(rs:OrderResponseSimple)">
            <xsl:message terminate="yes">
               <xsl:text>Unexpected instance for stylesheet:
{</xsl:text>
               <xsl:value-of select="namespace-uri(*)"/>
               <xsl:text>}</xsl:text>
               <xsl:value-of select="local-name(*)"/>
               <xsl:text>
Expecting:
{</xsl:text>
               <xsl:text>urn:oasis:names:tc:ubl:OrderResponseSimple:1.0:0.70</xsl:text>
               <xsl:text>}OrderResponseSimple</xsl:text>
            </xsl:message>
         </xsl:if>
<!--describe page geometries-->
         <layout-master-set>
            <simple-page-master master-name="onepage" page-width="{$short-page-edge}" page-height="{$long-page-edge}" margin-top="5mm" margin-left="10mm">
               <region-body region-name="body"/>
            </simple-page-master>
            <page-sequence-master master-name="layout">
               <single-page-master-reference master-reference="onepage"/>
            </page-sequence-master>
         </layout-master-set>
         <page-sequence master-reference="layout">
            <title>
               <xsl:value-of select="/rs:OrderResponseSimple/cat:ID"/>
               <xsl:text> - </xsl:text>
               <xsl:value-of select="/rs:OrderResponseSimple/cat:IssueDate"/>
               <xsl:text>- Order Response Simple</xsl:text>
            </title>
            <flow flow-name="body" xsl:use-attribute-sets=" body-font">
               <xsl:call-template name="marginalia"/>
<!--meta data for this form in HTML-->
               <block font-family="Arial" font-size="6pt" text-indent="8mm">
                  <xsl:if test="$html-output">
                     <xsl:value-of select="translate( 'OrderRespSim_Office.xsl $Revision: 1.1 $$Date: 2003/02/11 00:22:03 $','$','')"/>
                     <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                        <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                     </basic-link>
                  </xsl:if>
               </block>
            </flow>
         </page-sequence>
      </root>
   </xsl:template>


<!--
This is the nested table with the field information.
-->
   <xsl:template match="rs:OrderResponseSimple">
      <table table-layout="fixed" width="100%">
         <table-column column-width="( 183mm div 16 )" number-columns-repeated="16"/>
         <table-body>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-start-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block xsl:use-attribute-sets=" heading-font">
                           <xsl:copy-of select="$heading-orderno"/>
                        </block>
                        <xsl:apply-templates select="cat:ReferencedOrder/cat:BuyersOrderID"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none" border-after-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-orderresponseno"/>
                        </block>
                        <xsl:apply-templates select="cat:ID" mode="response"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-start-style="none" border-after-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-issuedate"/>
                        </block>
                        <xsl:apply-templates select="cat:ReferencedOrder/cat:IssueDate"/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-responsedate"/>
                        </block>
                        <xsl:apply-templates select="cat:IssueDate" mode="response"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-start-style="none" border-before-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none" border-before-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-orderstatus"/>
                        </block>
                        <xsl:apply-templates select="rs:AcceptedIndicator"/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 3">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-start-style="none">
                  <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-buyer"/>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none">
                  <block-container height="3 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt" overflow="error-if-overflow">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-seller"/>
                        </block>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
            <table-row height="( 262mm div 32 ) * 1">
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-start-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-contact"/>
                        </block>
                        <block/>
                     </wrapper>
                  </block-container>
               </table-cell>
               <table-cell number-rows-spanned="1" number-columns-spanned="8" border="solid 1pt" border-end-style="none">
                  <block-container height="1 * ( 262mm div 32 ) -1pt" width="8 * ( 183mm div 16 )  -1pt">
                     <wrapper start-indent="2pt" end-indent="2pt">
                        <block font-family="Arial" font-size="6pt" space-after="1pt" xsl:use-attribute-sets="heading-font ">
                           <xsl:copy-of select="$heading-ordercontact"/>
                        </block>
                        <block/>
                     </wrapper>
                  </block-container>
               </table-cell>
            </table-row>
         </table-body>
      </table>
   </xsl:template>

   <xsl:template match="cat:ID" mode="response">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:IssueDate" mode="response">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ReferencedOrder/cat:BuyersOrderID">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="cat:ReferencedOrder/cat:IssueDate">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template match="rs:AcceptedIndicator">
      <block>
         <xsl:apply-templates/>
      </block>
   </xsl:template>

   <xsl:template name="marginalia">
      <table table-layout="fixed" width="183mm + 10mm">
         <table-column column-width="10mm"/>
         <table-column column-width="183mm div 2"/>
         <table-column column-width="183mm div 2"/>
         <table-body>
            <table-row height="5mm">
               <table-cell number-rows-spanned="2" display-align="after" height="262mm">
                  <block-container reference-orientation="90">
<!--meta data for this form in print-->
                     <block font-family="Arial" font-size="6pt" text-indent="2mm" space-after="2pt" space-after.conditionality="retain">
                        <xsl:if test="not($html-output)">
                           <xsl:value-of select="translate( 'OrderRespSim_Office.xsl $Revision: 1.1 $$Date: 2003/02/11 00:22:03 $','$','')"/>
                           <basic-link external-destination="http://www.CraneSoftwrights.com/links/res-ublf.htm">
                              <xsl:text>http://www.CraneSoftwrights.com/links/res-ublf.htm</xsl:text>
                           </basic-link>
                        </xsl:if>
                     </block>
                  </block-container>
               </table-cell>
               <table-cell number-columns-spanned="2" display-align="after">
                  <block font-weight="bold" text-align-last="justify">
                     <xsl:text>
                OFFICE ORDER RESPONSE SIMPLE
                </xsl:text>
                     <leader/>
                     <xsl:text>
                Page 1 of 1
              </xsl:text>
                  </block>
               </table-cell>
            </table-row>
            <table-row height="262mm - 5mm">
               <table-cell number-columns-spanned="2" number-rows-spanned="2">
                  <xsl:apply-templates select="rs:OrderResponseSimple"/>
               </table-cell>
            </table-row>
            <table-row>
               <table-cell display-align="after">
                  <block>
                     <block text-align="end" font-weight="bold" font-family="Arial" font-size="7pt" end-indent="2pt">
                        <xsl:text>OFFICE</xsl:text>
                     </block>
                     <block text-align="end" font-weight="bold" font-family="Arial" font-size="7pt" end-indent="2pt">
                        <xsl:text>ACKS</xsl:text>
                     </block>
                  </block>
               </table-cell>
            </table-row>
         </table-body>
      </table>
   </xsl:template>

<!--default font used for body text of the form-->

   <xsl:attribute-set name="body-font">
      <xsl:attribute name="font-family">Times</xsl:attribute>
      <xsl:attribute name="font-size">10pt</xsl:attribute>
      <xsl:attribute name="line-height">1.1</xsl:attribute>
   </xsl:attribute-set>

<!--all field headings-->

   <xsl:attribute-set name="heading-font">
      <xsl:attribute name="font-family">Arial</xsl:attribute>
      <xsl:attribute name="font-size">6pt</xsl:attribute>
      <xsl:attribute name="space-after">1pt</xsl:attribute>
   </xsl:attribute-set>

<!--top-level variables-->

   <xsl:variable name="heading-buyer">
      <xsl:text>Buyer</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-contact">
      <xsl:text>Contact</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-issuedate">
      <xsl:text>Issue Date</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-ordercontact">
      <xsl:text>Order Contact</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-orderno">
      <xsl:text>Order No.</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-orderresponseno">
      <xsl:text>Order Response No.</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-orderstatus">
      <xsl:text>Order Status</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-responsedate">
      <xsl:text>Response Date</xsl:text>
   </xsl:variable>
   <xsl:variable name="heading-seller">
      <xsl:text>Seller</xsl:text>
   </xsl:variable>
</xsl:stylesheet>